Search
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/funds/rules/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/funds/rules/search"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pageSize: 123, pageToken: '<string>', query: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/funds/rules/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"grant": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"groupRef": {
"appId": "<string>",
"id": "<string>"
},
"reason": "<string>",
"ruleId": "<string>",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Fund Rules
Search
Search rules by display name. Reads the Postgres mirror.
POST
/
api
/
v1
/
funds
/
rules
/
search
Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Was this page helpful?